#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

:root {
    font-size: var(--rz-root-font-size);
}
@font-face {
    font-family: 'OPPOSans-B';
    src: url('https://img.diebian.net/fonts/OPPOSans-Bold.woff2') format('truetype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'OPPOSans-H';
    src: url('https://img.diebian.net/fonts/OPPOSans-H.woff2') format('truetype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'OPPOSans-L';
    src: url('https://img.diebian.net/fonts/OPPOSans-L.woff2') format('truetype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'OPPOSans-M';
    src: url('https://img.diebian.net/fonts/OPPOSans-Medium.woff2') format('truetype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'OPPOSans-R';
    src: url('https://img.diebian.net/fonts/OPPOSans-Regular.woff2') format('truetype'); 
    font-weight: normal;
    font-style: normal;
}
body {
    font-family: 'OPPOSans-M';
    color: var(--rz-text-color);
    font-size: var(--rz-body-font-size);
    line-height: var(--rz-body-line-height);
    background-color: var(--rz-body-background-color);
 
 
}

.rz-body {
    --rz-body-padding: 0;
}

a {
    color: var(--rz-link-color);
}

a:hover,
a:focus {
    color: var(--rz-link-hover-color);
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

.loading-progress circle {
    fill: none;
    stroke: #e0e0e0;
    stroke-width: 0.6rem;
    transform-origin: 50% 50%;
    transform: rotate(-90deg);
}

.loading-progress circle:last-child {
    stroke: #1b6ec2;
    stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
    transition: stroke-dasharray 0.05s ease-in-out;
}

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

.loading-progress-text:after {
    content: var(--blazor-load-percentage-text, "Loading");
}

.bubbles {
    position: relative;
 
    display: inline-block;
}

.bubbles::before, .bubbles::after {
    content: "";
    position: absolute;
    width: 20px;
    height: 20px;
    bottom: 0%;
    border-radius: 50%;
    background-color: rgba(255, 255, 255, 0.2);
    animation: bubbleAnimation 5s infinite both;
}

.bubbles:nth-child(1)::before { left: 10%; animation-delay: 1s; }
.bubbles:nth-child(1)::after { left: 70%; animation-delay: 3s; }

.bubbles:nth-child(2)::before { left: 30%; animation-delay: 0.5s; }
.bubbles:nth-child(2)::after { left: 60%; animation-delay: 2s; }

.bubbles:nth-child(3)::before { left: 50%; animation-delay: 1.5s; }
.bubbles:nth-child(3)::after { left: 80%; animation-delay: 3.5s; }

.bubbles:nth-child(4)::before { left: 20%; animation-delay: 2s; }
.bubbles:nth-child(4)::after { left: 90%; animation-delay: 0s; }

@keyframes bubbleAnimation {
    0% { bottom: -25%; transform: translateY(0); }
    100% { bottom: 100%; transform: translateY(-15px); }
}
 

.starry-background {
    position: relative;
    width: 100vw;
    height: 100vh;
    background-color: #001f3f;
    background-image: radial-gradient(white 2px, transparent 3px),
                      radial-gradient(white 1px, transparent 2px),
                      radial-gradient(white 1px, transparent 2px),
                      radial-gradient(white 1px, transparent 2px);
    background-size: 50px 50px,
                     40px 40px,
                     30px 30px,
                     20px 20px;
    background-position: 0 0,
                         20px 20px,
                         10px 10px,
                         0 0;
    animation: twinkle 1.5s infinite alternate;
}

@keyframes twinkle {
    from { background-color: #00274f; }
    to { background-color: #001f3f; }
}

.my-reconnect-modal > div {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
    overflow: hidden;
    background-color: #fff;
    opacity: 0.8;
    text-align: center;
    font-weight: bold;
}

.components-reconnect-hide > div {
    display: none;
}

.components-reconnect-show > div {
    display: none;
}

.components-reconnect-show > .show {
    display: block;
}

.components-reconnect-failed > div {
    display: none;
}

.components-reconnect-failed > .failed {
    display: block;
}

.components-reconnect-rejected > div {
    display: none;
}

.components-reconnect-rejected > .rejected {
    display: block;
}

:root {
    --bs-primary: #2B2D34;
    --bs-indigo: #6610f2;
    --bs-primary-lucency-15:rgba(0,0,0,0.15);
    /* ...       ? ... */
}
@keyframes scrollRightToLeft {
    0% {
        left: 300px;
    }

    50%, 70% {
        left: 0px; /*           ?    ? */
    }

    100% {
        left: -100px;
    }
}

/*  ?         */
::-webkit-scrollbar {
    width: 0px; /*            */
   height:0px;

}

/*           */
::-webkit-scrollbar-track {
    /*background: linear-gradient(to bottom, #00AFE7, #6060EF);*/
  
}

/*            */
::-webkit-scrollbar-thumb {
    background: linear-gradient(to bottom, #00AFE7, #6060EF);
    
}

    /*             ??? */
    ::-webkit-scrollbar-thumb:hover {
        background: #555; /*   ???  ? */
      
    }

.DatePicker {
    background-color: transparent;
    height: 100%;
    width: 100%;
}
.rz-calendar .rz-inputtext {
    background-color: transparent;
    border: 0px;
    height: 100%;
    width: 100%;
}
.rz-calendar-w-btn {
    height: 100%;
    width:100%;
}
.rz-datepicker-header {
    background-color: transparent;
}
.rz-calendar-w-btn :hover, .rz-inputtext :hover {
    border: 0px;
}

.rz-dialog {
    position:  initial !important;
}

.rz-dialog-titlebar {
    background-color: #FFF;
    height: 54px;
    /*position:relative;*/
}
.rz-dialog-confirm {
    height: 191px;
    width:286px;
    user-select:none;
}
 
 
.rz-dialog-title {
    color: rgba(0, 0, 0, 0.90);
    font-family: OPPOSans-B;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 0.28px;
}

.rz-button.rz-primary.rz-shade-default {
    display: flex;
    height: 37px;
    padding: 4px 30px;
    justify-content: center;
    align-items: center;
    gap: 4px;
    flex: 1 0 0;
    border-radius: 6px;
    background: #F0F1F7;
    color:  rgba(0, 0, 0, 0.90) ;
    text-align: center;
    font-family: OPPOSans-R;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 0.28px;
}
.rz-button.rz-secondary.rz-shade-default {
    display: flex;
    height: 37px;
    padding: 4px 30px;
    justify-content: center;
    align-items: center;
    gap: 4px;
    flex: 1 0 0;
    border-radius: 6px;
    background:#3578EE;
    color:  #FFF;
    font-family: OPPOSans-R;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 0.28px;
}
.cut-off-rule {
    opacity: 0.1;
    background: linear-gradient(270deg,rgba(0,0,0,0.00) 0%,#000 15.06%,#000 84.74%,rgba(0,0,0,0.00) 100%);
    width: 100%;
    height: 1px;
    margin-bottom: 20px;
    position:absolute;
    top:54px;
    left:0;
}
.rz-dialog-confirm-message {
margin-bottom:20px;
}
.rz-dialog-confirm .rz-dialog-content {
    padding-top: 20px;
    padding-left: 20px;
    padding-right: 20px;
     
}
.rz-dialog-confirm-buttons button {
    cursor: pointer;
}

.standardDialog .rz-dialog-content {
    padding: 0px;
    overflow:hidden;
}
.rzi::before {
    color: #666666;
}
*::placeholder {
    color: rgba(0,0,0,0.40) !important;
    font-family: OPPOSans-R !important;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 0.28px;
}
.rz-dialog-side-content {
padding:0;

}